Grant Sandbox SSHAccess
POST
/v1/sandbox/{sandboxId}/ssh/accessPOST
/v1/sandbox/{'{sandboxId}'}/ssh/accessYour instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sandboxId | path | string | Yes |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
userId | string | No | |
grantedBy | string | No |
Responses
200 Grant a user SSH access to a sandbox
| Property | Type | Description |
|---|---|---|
success | boolean |
default An unexpected error response.
| Property | Type | Description |
|---|---|---|
code | integer | |
message | string | |
details | object[] |
Request
curl -X POST "https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/ssh/access" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"tenantId":"string","userId":"string","grantedBy":"string"}'const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/ssh/access", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
"tenantId": "string",
"userId": "string",
"grantedBy": "string"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/ssh/access",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"tenantId": "string",
"userId": "string",
"grantedBy": "string"
},
)
data = response.json()Response
{
"success": true
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}
